Inhalte

# Anweisung Const

Definiert einen oder mehrere Bezeichner als Konstanten.

Eine Konstante ist eine Variable, die hilft, die Lesbarkeit eines Programms zu verbessern. Konstanten sind nicht als ein bestimmter Variablentyp definiert, sondern werden als Platzhalter im Code verwendet. Sie können eine Konstante nur einmal definieren und sie kann nicht geändert werden.

### Syntax:

    [Global|Private|Public] Const name = expression[, …]

### Parameter:

name: Jeder Bezeichner, der den standardmäßigen Namenskonventionen für Variablen folgt.

expression: Ein wörtlicher Ausdruck.

Der Datentyp muss weggelassen werden. Wenn eine Bibliothek in den Speicher geladen wird, konvertiert LibreOffice Basic den Programmcode intern so, dass jedes Mal, wenn eine Konstante verwendet wird, der festgelegte Ausdruck diese ersetzt.

### Anwendungsbereich

Standardmäßig sind Konstanten in Modulen und Routinen als "private" definiert. Konstanten können "public" oder "global" gemacht werden, um von allen Modulen, von allen Basic-Bibliotheken verwendet zu werden.

Die Bezeichner Global, Private und Public können nur für Modulkonstanten verwendet werden.

### Beispiel:

      Const EARTH = "♁" ' Modulanwendungsbereich
      Private Const MOON = "☾" ' Modulanwendungsbereich
      Public Const VENUS="♀", MARS="♂" ' Öffentlicher Anwendungsbereich
      Global Const SUN = "☉", STAR = "☆" ' Globaler Anwendungsbereich

      Sub ExampleConst
          Const SUN = 3 * 1,456 / 56 ' SUN ist lokal
          MsgBox SUN,, MOON ' Die globale Konstante SUN bleibt unverändert
          Const Pgm = "Program", Var = 1.00
          MsgBox Pgm & " " & Var, , VENUS &" and "& MARS
      End Sub

Verwandte Themen

Anweisung Enum

Anweisung Type

Bitte unterstützen Sie uns!